VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsHttpContent"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
' Autor: F. Schler (frank@activevb.de)
' Datum: 01/2023

Option Explicit

' ----==== Const ====----
Private Const IID_IHttpContent As String = "{6b14a441-fba7-4bd2-af0a-839de7c295da}"

' * Class implements the interface:
' *    Windows.Foundation.IClosable
 
' ----==== Enums ====----
Private Enum vtb_Interfaces
    
    empty_ = 0
    
    ' IHttpContent
'    IHttpContent_get_Headers = 6
'    IHttpContent_BufferAllAsync = 7
'    IHttpContent_ReadAsBufferAsync = 8
'    IHttpContent_ReadAsInputStreamAsync = 9
'    IHttpContent_ReadAsStringAsync = 10
'    IHttpContent_TryComputeLength = 11
'    IHttpContent_WriteToStreamAsync = 12
    
End Enum

' ----==== Variablen ====----
Private m_pIHttpContent As Long

' ----==== Class ====----
Private Sub Class_Initialize()
'
End Sub

Private Sub Class_Terminate()
    Call Dispose(m_pIHttpContent) '<-IClosable
End Sub

' ----==== Properties ====----
Public Property Get IHttpContent() As Long
    IHttpContent = m_pIHttpContent
End Property

Public Property Let IHttpContent(ByVal pIHttpContent As Long)
    Call Dispose(m_pIHttpContent) '<-IClosable
    m_pIHttpContent = IHttpContent
End Property

    ' IHttpContent
'    IHttpContent_get_Headers = 6

' ----==== Functions ====----
    ' IHttpContent
'    IHttpContent_BufferAllAsync = 7
'    IHttpContent_ReadAsBufferAsync = 8
'    IHttpContent_ReadAsInputStreamAsync = 9
'    IHttpContent_ReadAsStringAsync = 10
'    IHttpContent_TryComputeLength = 11
'    IHttpContent_WriteToStreamAsync = 12


' ----==== Invoke ====----
Private Function Invoke(ByVal pInterface As Long, _
                        ByVal vtb As vtb_Interfaces, _
                        ParamArray var()) As Variant
    If pInterface <> 0& Then
        Invoke = OleInvoke(pInterface, vtb, var)
    End If
End Function


