VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsWVCDCLEA"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
' Autor: F. Schler (frank@activevb.de)
' Datum: 01/2023

Option Explicit

' ----==== Const ====----
Private Const IID_IWebViewControlDOMContentLoadedEventArgs As String = "{be8bc008-9541-4545-9ff2-2df585b29f7d}"

' ----==== Enums ====----
Private Enum vtb_Interfaces
    
    ' IWebViewControlDOMContentLoadedEventArgs
    IWebViewControlDOMContentLoadedEventArgs_GetUri = 6

End Enum

' ----==== Variablen ====----
Private m_pIWebViewControlDOMContentLoadedEventArgs As Long

' ----==== Class ====----
Private Sub Class_Initialize()
'
End Sub

Private Sub Class_Terminate()
    Call ReleaseIfc(m_pIWebViewControlDOMContentLoadedEventArgs)
End Sub

' ----==== Properties ====----
Public Property Let IWebViewControlDOMContentLoadedEventArgs(ByVal pIWebViewControlDOMContentLoadedEventArgs As Long)
    Call ReleaseIfc(m_pIWebViewControlDOMContentLoadedEventArgs)
    m_pIWebViewControlDOMContentLoadedEventArgs = pIWebViewControlDOMContentLoadedEventArgs
End Property

Public Property Get IWebViewControlDOMContentLoadedEventArgs() As Long
    IWebViewControlDOMContentLoadedEventArgs = m_pIWebViewControlDOMContentLoadedEventArgs
End Property

' IWebViewControlDOMContentLoadedEventArgs
Public Property Get Uri() As clsURC
    Dim Ret As New clsURC
    If m_pIWebViewControlDOMContentLoadedEventArgs <> 0& Then
        Dim pIUriRuntimeClass As Long
        If Invoke(m_pIWebViewControlDOMContentLoadedEventArgs, _
                  IWebViewControlDOMContentLoadedEventArgs_GetUri, _
                  VarPtr(pIUriRuntimeClass)) = S_OK Then
            Ret.IUriRuntimeClass = pIUriRuntimeClass
        End If
    End If
    Set Uri = Ret
End Property

' ----==== Invoke ====----
Private Function Invoke(ByVal pInterface As Long, _
                        ByVal vtb As vtb_Interfaces, _
                        ParamArray var()) As Variant
    If pInterface <> 0& Then
        Invoke = OleInvoke(pInterface, vtb, var)
    End If
End Function


