VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsWVCMFREA"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
' Autor: F. Schler (frank@activevb.de)
' Datum: 01/2023

Option Explicit

' ----==== Const ====----
Private Const IID_IWebViewControlMoveFocusRequestedEventArgs As String = "{6b2a340d-4bd0-405e-b7c1-1e72a492f446}"

' ----==== Enums ====----
Private Enum vtb_Interfaces
    
    ' IWebViewControlMoveFocusRequestedEventArgs
    IWebViewControlMoveFocusRequestedEventArgs_GetReason = 6

End Enum

' ----==== Variablen ====----
Private m_pIWebViewControlMoveFocusRequestedEventArgs As Long

' ----==== Class ====----
Private Sub Class_Initialize()
'
End Sub

Private Sub Class_Terminate()
    Call ReleaseIfc(m_pIWebViewControlMoveFocusRequestedEventArgs)
End Sub

' ----==== Properties ====----
Public Property Let IWebViewControlMoveFocusRequestedEventArgs(ByVal pIWebViewControlMoveFocusRequestedEventArgs As Long)
    Call ReleaseIfc(m_pIWebViewControlMoveFocusRequestedEventArgs)
    m_pIWebViewControlMoveFocusRequestedEventArgs = pIWebViewControlMoveFocusRequestedEventArgs
End Property

Public Property Get IWebViewControlMoveFocusRequestedEventArgs() As Long
    IWebViewControlMoveFocusRequestedEventArgs = m_pIWebViewControlMoveFocusRequestedEventArgs
End Property

' IWebViewControlMoveFocusRequestedEventArgs
Public Property Get Reason() As WebViewControlMoveFocusReason
    Dim Ret As WebViewControlMoveFocusReason
    If m_pIWebViewControlMoveFocusRequestedEventArgs <> 0& Then
        Dim value As Long
        If Invoke(m_pIWebViewControlMoveFocusRequestedEventArgs, _
                  IWebViewControlMoveFocusRequestedEventArgs_GetReason, _
                  VarPtr(value)) = S_OK Then
            Ret = value
        End If
    End If
    Reason = Ret
End Property

' ----==== Invoke ====----
Private Function Invoke(ByVal pInterface As Long, _
                        ByVal vtb As vtb_Interfaces, _
                        ParamArray var()) As Variant
    If pInterface <> 0& Then
        Invoke = OleInvoke(pInterface, vtb, var)
    End If
End Function


