VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsWVCCLEA"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
' Autor: F. Schler (frank@activevb.de)
' Datum: 01/2023

Option Explicit

' ----==== Const ====----
Private Const IID_IWebViewControlContentLoadingEventArgs As String = "{9a3fccb2-b9bb-404b-a22b-66dccd1250c6}"

' ----==== Enums ====----
Private Enum vtb_Interfaces
    
    ' IWebViewControlContentLoadingEventArgs
    IWebViewControlContentLoadingEventArgs_GetUri = 6

End Enum

' ----==== Variablen ====----
Private m_pIWebViewControlContentLoadingEventArgs As Long

' ----==== Class ====----
Private Sub Class_Initialize()
'
End Sub

Private Sub Class_Terminate()
    Call ReleaseIfc(m_pIWebViewControlContentLoadingEventArgs)
End Sub

' ----==== Properties ====----
Public Property Let IWebViewControlContentLoadingEventArgs(ByVal pIWebViewControlContentLoadingEventArgs As Long)
    Call ReleaseIfc(m_pIWebViewControlContentLoadingEventArgs)
    m_pIWebViewControlContentLoadingEventArgs = pIWebViewControlContentLoadingEventArgs
End Property

Public Property Get IWebViewControlContentLoadingEventArgs() As Long
    IWebViewControlContentLoadingEventArgs = m_pIWebViewControlContentLoadingEventArgs
End Property

' IWebViewControlContentLoadingEventArgs
Public Property Get Uri() As clsURC
    Dim Ret As New clsURC
    If m_pIWebViewControlContentLoadingEventArgs <> 0& Then
        Dim pIUriRuntimeClass As Long
        If Invoke(m_pIWebViewControlContentLoadingEventArgs, _
                  IWebViewControlContentLoadingEventArgs_GetUri, _
                  VarPtr(pIUriRuntimeClass)) = S_OK Then
            Ret.IUriRuntimeClass = pIUriRuntimeClass
        End If
    End If
    Set Uri = Ret
End Property

' ----==== Invoke ====----
Private Function Invoke(ByVal pInterface As Long, _
                        ByVal vtb As vtb_Interfaces, _
                        ParamArray var()) As Variant
    If pInterface <> 0& Then
        Invoke = OleInvoke(pInterface, vtb, var)
    End If
End Function


